Get driver assigned trips photos
Tested
Endpoint to get driver assigned trips photos.User Role Permissions#
The following table shows which user roles are allowed to send requests using this API endpoint.| Role | Permission |
|---|
| Partner | |
| Partner View | |
| Custom Partner | |
| Fleet Manager | |
| Group Manager | |
| User | |
| Custom User | |
Request Code Samples
curl --location 'https://fleet.roscolive.com/api/v1.0/driver//trips_photos?page_number=undefined&page_size=undefined'
Responses
application/json
{
"meta": {
"code": 200
},
"response": {
"total_number": 465,
"trips_photos": [
{
"device_id": 51794261,
"id": 316527,
"timestamp": "2026-08-27 09:23:04",
"trip_id": 633316,
"url": "https://s3.amazonaws.com/driverid-s3.roscocloud.com/STAGING/trips_faces/51794261/825/20260827/092303.jpeg?..."
},
{
"device_id": 3595522191,
"id": 316492,
"timestamp": "2026-08-18 21:46:14",
"trip_id": 631698,
"url": "https://s3.amazonaws.com/driverid-s3.roscocloud.com/STAGING/trips_faces/3595522191/825/20260818/214613.jpeg?..."
}
]
},
"result": "OK"
}
Modified at 2026-10-27 12:46:01